Subject: [IPP] Recommended text for referencing STD 92: Internet Printing Protocol/1.1

From: Michael Sweet <[email-masked]>
Date: Fri, 24 Aug 2018 10:16:48 -0400

All,

Now that IPP/1.1 is an Internet Standard, we generally should just be referencing the collection of RFCs (8010 and 8011) and not the individual documents or sections within a specific RFC, for example:

The keyword attribute values defined in this document will be published by IANA according to the procedures in the Internet Printing Protocol/1.1 [STD92] in the following file:

The reference for STD 92 is just:

[STD92]    M. Sweet, I. McDonald, "Internet Printing Protocol/1.1", STD 92, June 2018, https://tools.ietf.org/html/std92

If a general reference is ambiguous or not obvious, use the RFC reference form with a section reference, for example:

Most Authenticated User: The most authoritative user name for the current request as defined in section 9.3 of the Internet Printing Protocol/1.1: Model and Semantics [RFC8011].

_________________________________________________________
Michael Sweet, Senior Printing System Engineer

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Kennedy, Smith (Wireless & Standards Architect)" <[email-masked]>
Date: Fri, 24 Aug 2018 16:52:34 +0000

Hi Mike,

> On Aug 24, 2018, at 8:16 AM, Michael Sweet <[email-masked]> wrote:
> 
> All,
> 
> [STD92]    M. Sweet, I. McDonald, "Internet Printing Protocol/1.1", STD 92, June 2018, https://tools.ietf.org/html/std92 <https://tools.ietf.org/html/std92>
Should this also list RFC 8010 / 8011?

> Most Authenticated User: The most authoritative user name for the current request as defined in section 9.3 of the Internet Printing Protocol/1.1: Model and Semantics [RFC8011].

For this case, should [RFC8011] would a separate RFC 8011 reference be listed in the "References" section so that [RFC8011] unambiguously points to that?

---

From: Michael Sweet <[email-masked]>
Date: Fri, 24 Aug 2018 23:05:57 -0400

Smith,

Sent from my iPhone

> On Aug 24, 2018, at 12:52 PM, Kennedy, Smith (Wireless & Standards Architect) <[email-masked]> wrote:
> 
> Hi Mike,
> 

No, not for STD 92.
> For this case, should [RFC8011] would a separate RFC 8011 reference be listed in the "References" section so that [RFC8011] unambiguously points to that?

Yes, this would have a separate RFC 8011 reference.